local FOLDER_NAME, private = ...
local core = LibStub("AceAddon-3.0"):GetAddon(FOLDER_NAME)
local L = LibStub("AceLocale-3.0"):GetLocale(FOLDER_NAME)

local vanhides ={
                ["id"] = {6740, 6471, 7286, 7392, 2934, 783, 2318, 2319, 4232, 4234, 4235, 8167, 4304, 8169, 8154, 8165, 8170, 8171, 15412, 15415, 15417, 15419, 15408, 15416, 15410, 15414, 17012},
                ["itype"] = {1, 1, 1, 1, 5, 2, 3, 3, 2, 3, 2, 1, 3, 2, 1, 4, 3, 2, 4, 4, 3, 3, 1, 4, 5, 4, 3},
                ["strings"] = {L["Deviate"], L["Perfect Deviate"], L["Black Whelp"], L["Green Whelp"], L["Ruined Leather Scraps"], L["Light"], L["Light"], L["Medium"], L["Medium"], L["Heavy"], L["Heavy"], L["Turtle"], L["Thick"], L["Thick"], L["Scorpid"], L["Worn"], L["Rugged"], L["Rugged"], L["Green"], L["Blue"], L["Devilsaur"], L["Warbear"], L["Heavy Scorpid"], L["Black"], L["Scale of Onyxia"], L["Red"], L["Core"]},
                ["short"] = {L["S_Deviate"], L["S_Perfect Deviate"], L["S_Black Whelp"], L["S_Green Whelp"], L["S_Ruined Leather Scraps"], L["S_Light"], L["S_Light"], L["S_Medium"], L["S_Medium"], L["S_Heavy"], L["S_Heavy"], L["S_Turtle"], L["S_Thick"], L["S_Thick"], L["S_Scorpid"], L["S_Worn"], L["S_Rugged"], L["S_Rugged"], L["S_Green"], L["S_Blue"], L["S_Devilsaur"], L["S_Warbear"], L["S_Heavy Scorpid"], L["S_Black"], L["S_Scale of Onyxia"], L["S_Red"], L["S_Core"]},
                ["color"] = {"d8bfd8", "d8bfd8", "c0c0c0", "90ee90", "bc8f8f", "cd853f", "cd853f", "deb887", "deb887", "f4a460", "f4a460", "7cfc00", "f0e68c", "f0e68c", "d8bfd8", "e0ffff", "ffdead", "ffdead", "90ee90", "1e90ff", "8fbc8f", "cd853f", "ffe4e1", "c0c0c0", "b0c4de", "dc143c", "e9967a"}
                }
local bchides ={
                ["id"] = {25649, 21887, 25699, 25700, 25708, 29539, 29547, 29548, 25707},
                ["itype"] = {5, 3, 3, 1, 3, 1, 1, 4, 2},
                ["strings"] = {L["Knothide Leather Scraps"], L["Knothide"], L["Crystal Infused"], L["Fel"], L["Thick Clefthoof"], L["Cobra"], L["Wind"], L["Nether"], L["Fel"]},
                ["short"] = {L["S_Knothide Leather Scraps"], L["S_Knothide"], L["S_Crystal Infused"], L["S_Fel"], L["S_Thick Clefthoof"], L["S_Cobra"], L["S_Wind"], L["S_Nether"], L["S_Fel"]},
                ["color"] = {"ffe4c4", "ffe4c4", "7fffd4", "90ee90", "d2b48c", "f5fffa", "add8e6", "40e0d0", "90ee90"}
                }
local lkhides ={
                ["id"] = {33567, 33568, 38558, 44128, 38557, 38561},
                ["itype"] = {5, 3, 5, 5, 4, 1},
                ["strings"] = {L["Borean Leather Scraps"], L["Borean"], L["Nerubian"], L["Artic Fur"], L["Icy"], L["Jormungar"]},
                ["short"] = {L["S_Borean Leather Scraps"], L["S_Borean"], L["S_Nerubian"], L["S_Artic Fur"], L["S_Icy"], L["S_Jormungar"]},
                ["color"] = {"deb887", "deb887", "dda0dd", "7fffd4", "afeeee", "e0ffff"}
                }
local catahides ={
                ["id"] = {52977, 52976, 52979, 52982},
                ["itype"] = {5, 3, 4, 1},
                ["strings"] = {L["Savage Leather Scraps"], L["Savage"], L["Blackened"],  L["Deepsea"]},
                ["short"] = {L["S_Savage Leather Scraps"], L["S_Savage"], L["S_Blackened"], L["S_Deepsea"]},
                ["color"] = {"f4a460", "f4a460", "dcdcdc", "20b2aa"}
                }
local mophides ={
                ["id"] = {72120, 72162, 79101, 72163, 98617},
                ["itype"] = {3, 3, 1, 2, 2},
                ["strings"] = {L["Exotic"], L["Sha-Touched"], L["Prismatic"], L["Magnificent"], L["Hardened Magnificent"]},
                ["short"] = {L["S_Exotic"], L["S_Sha-Touched"], L["S_Prismatic"], L["S_Magnificent"], L["S_Hardened Magnificent"]},
                ["color"] = {"d2b48c", "cd853f", "add8e6", "f4a460", "cc6600"}
                }
private.vanhides = vanhides
private.bchides = bchides
private.lkhides = lkhides
private.catahides = catahides
private.mophides = mophides